Kaspersky
Question

Why is KTS 21 suddenly seeing MBAM as incompatible software (3x - 4x) - no reinstall of KTS?


Hello,

 

For some unknown reason, KTS 21 keeps telling me that MBAM 3x - 4x is incompatible.  This is happening without having made any changes or reinstalling the software, other than the usual KTS updates and updating MBAM to the latest version (I have a licensed version but only use it for backup scanning - no real time scanning).  I uninstalled MBAM, used their cleaner, then installed the free version and get the same message.  I also updated MBAM on my wife’s PC with the same result.  Any idea why this would suddenly be happening?  Is it an issue or is the newest version actually incompatible, even with the free version? 

Thanks for the help 

BC


43 replies

Userlevel 7
Badge +9

Hello, For some unknown reason, KTS 21 keeps telling me that MBAM 3x - 4x is incompatible.  This is happening without having made any changes or reinstalling the software, other than the usual KTS updates and updating MBAM to the latest version (I have a licensed version but only use it for backup scanning - no real time scanning).  I uninstalled MBAM, used their cleaner, then installed the free version and get the same message.  I also updated MBAM on my wife’s PC with the same result.  Any idea why this would suddenly be happening?  Is it an issue or is the newest version actually incompatible, even with the free version? 

Thanks for the help. BC

Hello @BCKasman

Welcome!

Because Kaspersky have changed something again & (ioo) have not implemented a clean change! 

It’s happening to us too!

Not impressed. 

& (ioo), they’re probably “reviewing” feedback in the Community to assess the change. 


:radioactive: Kaspersky → what’s the point of implementing a Delete option that doesn’t work? 

:radioactive: There’s been several Community topics logged, in the last week about this!

:radioactive: Reference documentation makes no difference. 

 

 

 

Thank you:pray_tone3:

Flood:whale: +:whale2:

Userlevel 7
Badge +8

@BCKasman Welcome.

Updating MBAM (full version)  to a  recent build works fine on my side, Kaspersky wants however to delete on reboot the latest installer.

Did you add MBAM to the exclusions ?

Also, did you disable the MBAM real-time Ransomware protection ?

 

 

 

Thanks Berny.  I tried it again, excluding MBAM and setting the trusted programs.  Everything was fine at first, but the compatibility notice popped up a bit later.  I have not reinstalled KTS 21.  It was installed and running perfectly.  The MBAM problem started with their latest version.  The prior versions were fine.  When the infrequent need arises for me to do a reinstall of KTS I always uninstall MBAM first.  I set MBAM with everything off.  My gut feeling is that I don’t need MBAM with KTS, but having paid for the lifetime license, it’s good to use it.  Any ideas?      

Userlevel 7
Badge +5

Hello,

I give you a screenshot. I think you will have a magic idea to solved the problem, right?

Regards.

Userlevel 7
Badge +8

@Wesly.Zhang 

Hi Wesly,

FYI , this is working on my side :
 

 

 

 

Userlevel 7
Badge +9

Hi, @BCKasman ,
Indeed Malwarebytes is incompatible with the latest versions of Kaspersky products: https://support.kaspersky.com/15517#block1

The Kaspersky Protection extension does not operate in Google Chrome and Mozilla Firefox if there is Malwarebytes for Windows installed on your computer.

More information in the product help

Userlevel 7
Badge +9

Hi, @BCKasman ,
Indeed Malwarebytes is incompatible with the latest versions of Kaspersky products: https://support.kaspersky.com/15517#block1

The Kaspersky Protection extension does not operate in Google Chrome and Mozilla Firefox if there is Malwarebytes for Windows installed on your computer.

More information in the product help

Hello @Friend

The Malwarebytes listing in List of applications incompatible with Kaspersky Total Security has existed since version 20(d). 

And, Kaspersky’s advice has always been, run MBAM without RTP on. 

As far as “The Kaspersky Protection extension does not operate in Google Chrome and Mozilla Firefox if there is Malwarebytes for Windows installed on your computer.” is concerned, the KPE is working perfectly, with both KTS & MBAM → the problem is the Delete MBAM option in KTS is not working. 

(ioo) It’s a fake option & a poorly implemented change. 

Thank you:pray_tone3:

Flood:whale: +:whale2:

Berny,

 

I did as you showed in your post and everything was fine for a bit, but the compatibility message popped up again.  When I installed MBAM I made certain everything was off.  Something clearly happened when MBAM upgraded to it’s latest version that, apparently for some of us, Kaspersky doesn’t like.  Not sure what to do from here.  All was fine with MBAM 4.3.  Apparently MBAM does not let users revert to an older version unless you get it from another site which I'm not comfortable using.  For now, MBAM is gone and, for a second check, I’m using the Windows Defender periodic scan as a second line of defense, so to speak.

Userlevel 7
Badge +5

@Wesly.Zhang 

Hi Wesly,

FYI , this is working on my side :
 

 

 

 


Hi @Berny 

Yes. Well, That’s OK. But I take attention to this behavior “ compatibility message popped up again. ”.:wink:

Regards.

Userlevel 4

Hi,  I am using Kaspersky Security Cloud “Free” with no browser Add-ins and no VPN and no Password Manager. It has been like this and running fine  and also have the lifetime paid version of Malwarebytes Anit-Malware.  All working well Since the last round of “nightmares” nearly a year ago.   I have mutual exclusions in place in both MBAM and KSC”Free”. I also have all of the MBAM modules enabled (including Ransomware)

 

Not sure if that helps in any way ?  Happy to share my setup options in both if it helps someone or……. my machine is about to explode and I just don’t know it yet :-(  I hope not because I will never get rid of my Malwarebytes Premium.  It has been with me for many many years and has blocked numerous threats that AVG, Avast, BD and KSC have missed over the years.  If it will not work (again) then I will drop KSC”Free” in preference to dropping MBAM and find another AV alternative that will work with it. 

 

:-)

Paul

 

Userlevel 4

ps. my MBAM is 4.4.2

and my KSC is 21.3.10.391(d)

 

Not sure if any of these were tweaked last time round to get them working so make of these settings what you will :-)  

 

 

 

 

 

Userlevel 7
Badge +9

Hello @smipx, Paul!

Welcome back:relaxed: !

And thank you for the post/solution:clap_tone3:

Would you mind posting the KSC exclusions list in a text file (.txt) → attach to your reply using the paperclip icon, so lazy sods like me can copy & paste please:sweat_smile:

Thank you:pray_tone3:

Flood:whale: +:whale2:

Userlevel 4

Sure:

This….  is analogous to the attached TXT file:

 

Userlevel 4

Can’t do the MBAM ones as I cant export them to a TXT file :-)

 

Userlevel 7
Badge +9

Thanks very much @smipx, Paul!

Much appreciated:pray_tone3:

Re MBAM, not required, only KSC, thanks!! 

Flood:whale: +:whale2:

Userlevel 4

They are taken from the Standard MBAM KB article here: https://support.malwarebytes.com/hc/en-us/articles/360038522974-Malwarebytes-for-Windows-antivirus-exclusions-list

 

Userlevel 4

This article is also worth a read: https://forums.malwarebytes.com/topic/275765-malwarebyte-and-kaspersky-conflict/?tab=comments#comment-1464859

 

It points to this article that may be a bit of a showstopper (depending on what you use within KSC

 

https://support.malwarebytes.com/hc/en-us/articles/360051090194

 

although for me (for some reason) I have no issue as my Web Protection is enabled so you will have to “go figure” :-)

 

 

Userlevel 7
Badge +9

Oh, OK, so you’re not just a pretty face @smipx/Paul:grin:

Legend:bow_tone3: !!

Really appreciate your input to this topic!!

BTYM, (ioo) Kaspersky will probably now start telling people to use those as a “solution”:rolling_eyes:

Cheers, 

Flood:whale: +:whale2:

Userlevel 4

I suspect its because I am using KSC”Free” with no web browser plugins installed into my browsers from  Kaspersky or Malwarebytes (only the built-in application features) - just no web browser plugins.

Userlevel 4

I also don’t use the VPN or the PAssword Manager so that may have a bearing.

Userlevel 4

Naaa.  This is old news I think.  These mutual exclusions have been around for ages.  It’s okay for us technical minded folk but for the average grandma or grandpa or novice / regular user this is never going to happen.  I stopped rolling out MBAM to my customers years ago because I was getting tooooo many calls every time the AV was upgraded to the latest or MBAM released a new version.  This is despite MBAM touting that MBAM is a replacement for your AV (not on your life MBAM - I would not run MBAM on its own).

 

It is only because I am a tech and the fact taht I have a free for life MBAM license that I persist in using the two together - that and the fact that, jsut occasionally, MBAM does block someting novel that is not detected by the AV. 

Userlevel 4

I wonder which one, if either, will block the new “PrintNightmare” exploit.  I feel that bit happeir knowing I have KSCFree and MBAM sitting in the middle :-)

 

Userlevel 4

Not that I’m running a server or on a domain :-)

 

https://blog.malwarebytes.com/exploits-and-vulnerabilities/2021/07/patch-now-emergency-fix-for-printnightmare-released-by-microsoft/

Userlevel 7
Badge +9

Hi @smipx

The Kaspersky issue started in the last two weeks, prior to that, Kaspersky & MBAM (with a minor tweak) were happy bedfellows. 

It has nothing to do with KVPN & or KPM. 

& enough of the old/grandma, grandpa, thank you very much:sweat_smile:

Cheers, 

Flood:whale: +:whale2:

Userlevel 7
Badge +8

@smipx

Personally i recommend to disable MBAM Ransomware Protection.

 

Reply